<%= for event <- @events do %>
<event publicID="smi:<%= @domain %>/event/<%= event.publicid %>">
  <preferredOriginID>smi:<%= @domain %>/origin/<%= event.preferred_origin.id %></preferredOriginID>
  <preferredMagnitudeID>smi:<%= @domain %>/magnitude/<%= event.preferred_magnitude.id %></preferredMagnitudeID>
  <type><%= Namazu.Seismic.Event.namazu_to_quakeml_event_type(event.event_type) %></type>
  <description>
    <text><%= Web.Filters.event_description(event) %></text>
  </description>
  <%= for origin <- event.origins do %>
<%= if origin.event_preferred || @include_all_origins do %>
  <origin publicID="smi:<%= @domain %>/origin/<%= origin.id %>">
    <time>
      <value><%= origin.time |> DateTime.to_iso8601() %></value>
      <%= if origin.time_uncertainty do %>
      <uncertainty><%= origin.time_uncertainty %></uncertainty>
      <% end %>
      <%= if origin.time_confidence_level do %>
      <confidenceLevel><%= origin.time_confidence_level %></confidenceLevel>
      <% end %>
    </time>
    <latitude>
      <value><%= origin.latitude %></value>
      <%= if origin.latitude_uncertainty do %>
        <uncertainty><%= origin.latitude_uncertainty %></uncertainty>
      <% end %>
      <%= if origin.latitude_confidence_level do %>
      <confidenceLevel><%= origin.latitude_confidence_level %></confidenceLevel>
      <% end %>
    </latitude>
    <longitude>
      <value><%= origin.longitude %></value>
      <%= if origin.longitude_uncertainty do %>
        <uncertainty><%= origin.longitude_uncertainty %></uncertainty>
      <% end %>
      <%= if origin.longitude_confidence_level do %>
      <confidenceLevel><%= origin.longitude_confidence_level %></confidenceLevel>
      <% end %>
    </longitude>
    <depth>
      <value><%= origin.depth * 1000 |> Web.Filters.format_float() %></value>
      <%= if origin.depth_uncertainty do %>
      <uncertainty><%= origin.depth_uncertainty %></uncertainty>
      <% end %>
    </depth>
    <depthType><%= origin.depth_type %></depthType>
    <%= if origin.method_id do %>
    <methodID><%= origin.method_id %></methodID>
    <% end %>
    <%= if origin.earthmodel_id do %>
    <earthModelID><%= origin.earthmodel_id %></earthModelID>
    <% end %>
    <type><%= origin.origin_type %></type>
    <%= if origin.evaluation_status do %>
    <evaluationStatus><%= origin.evaluation_status %></evaluationStatus>
    <% end %>
    <evaluationMode><%= if origin.automatic do %>automatic<% else %>manual<% end %></evaluationMode>
    <creationInfo>
      <agency><%= origin.agency %></agency>
      <author><%= origin.author %></author>
    </creationInfo>
    <%= if origin.quality do %>
    <quality>
      <%= if origin.quality.associated_phase_count do %>
      <associatedPhaseCount><%= origin.quality.associated_phase_count %></associatedPhaseCount>
      <% end %>
      <%= if origin.quality.used_phase_count do %>
      <usedPhaseCount><%= origin.quality.used_phase_count %></usedPhaseCount>
      <% end %>
      <%= if origin.quality.associated_station_count do %>
      <associatedStationCount><%= origin.quality.associated_station_count %></associatedStationCount>
      <% end %>
      <%= if origin.quality.used_station_count do %>
      <usedStationCount><%= origin.quality.used_station_count %></usedStationCount>
      <% end %>
      <%= if origin.quality.standard_error do %>
      <standardError><%= origin.quality.standard_error %></standardError>
      <% end %>
      <%= if origin.quality.azimuthal_gap do %>
      <azimuthalGap><%= origin.quality.azimuthal_gap %></azimuthalGap>
      <% end %>
      <%= if origin.quality.minimum_distance do %>
      <minimumDistance><%= origin.quality.minimum_distance %></minimumDistance>
      <% end %>
      <%= if origin.quality.maximum_distance do %>
      <maximumDistance><%= origin.quality.maximum_distance %></maximumDistance>
      <% end %>
      <%= if origin.quality.median_distance do %>
      <medianDistance><%= origin.quality.median_distance %></medianDistance>
      <% end %>
    </quality>
    <% end %> <%# quality %>
    <%= if @include_arrivals do %>
      <%= for arrival <- origin.arrivals do %>
      <arrival publicID="smi:<%= @domain %>/arrival/<%= arrival.id %>">
        <pickID>smi:<%= @domain %>/pick/<%= arrival.pick_id %></pickID>
        <phase><%= arrival.phase_code %></phase>
        <%= if arrival.azimuth do %>
        <azimuth><%= arrival.azimuth %></azimuth>
        <% end %>
        <%= if arrival.distance do %>
        <distance><%= arrival.distance %></distance>
        <% end %>
        <%= if arrival.takeoff_angle do %>
        <takeoffAngle>
          <value><%= arrival.takeoff_angle %></value>
        </takeoffAngle>
        <% end %>
        <%= if arrival.time_residual do %>
        <timeResidual><%= arrival.time_residual %></timeResidual>
        <% end %>
        <%= if arrival.time_weight do %>
        <timeWeight><%= arrival.time_weight %></timeWeight>
        <% end %>
      </arrival>
      <% end %>
    <% end %> <%# arrivals %>
  </origin>
<% end %>
  <%= for magnitude <- origin.magnitudes do %>
<%= if magnitude.event_preferred || @include_all_magnitudes do %>
  <magnitude publicID="smi:<%= @domain %>/magnitude/<%= magnitude.id %>">
    <mag>
      <value><%= magnitude.magnitude %></value>
      <%= if magnitude.magnitude_uncertainty do %>
      <uncertainty><%= magnitude.magnitude_uncertainty %></uncertainty>
      <% end %>
    </mag>
    <type><%= magnitude.magnitude_type %></type>
    <originID>smi:<%= @domain %>/origin/<%= origin.id %></originID>
    <%= if magnitude.method_id do %>
    <methodID><%= magnitude.method_id %></methodID>
    <% end %>
    <%= if magnitude.station_count do %>
    <stationCount><%= magnitude.station_count %></stationCount>
    <% end %>
    <%= if magnitude.evaluation_status do %>
    <evaluationStatus><%= magnitude.evaluation_status %></evaluationStatus>
    <% end %>
    <creationInfo>
      <agency><%= origin.agency %></agency>
      <author><%= origin.author %></author>
    </creationInfo>
  </magnitude>
<% end %>
  <% end %><%# magnitudes %>
  <% end %><%# origins %>
<%= if @include_arrivals do %>
  <%= for pick <- deduplicate_picks(event) do %>
  <pick publicID="smi:<%= @domain %>/pick/<%= pick.id %>">
    <time>
      <value><%= pick.time |> DateTime.to_iso8601() %></value>
    </time>
    <%= if pick.filter_id do %>
    <filterID><%= pick.filter_id %></filterID>
    <% end %>
    <%= if pick.method_id do %>
    <methodID><%= pick.method_id %></methodID>
    <% end %>
    <phaseHint><%= pick.phase_hint_code %></phaseHint>
    <%= if pick.polarity do %>
    <polarity><%= pick.polarity %></polarity>
    <% end %>
    <waveformID networkCode="<%= pick.stream.network_code %>" stationCode="<%= pick.stream.station_code %>" locationCode="<%= pick.stream.location_code %>" channelCode="<%= pick.stream.channel_code %>">smi:<%= @domain %>/stream/<%= pick.stream.id %></waveformID>
    <evaluationMode><%= if pick.automatic do %>automatic<% else %>manual<% end %></evaluationMode>
  </pick>
  <% end %>
<% end %><%# picks %>
</event>
<% end %><%# events %>
